<?xml version='1.0' encoding='ISO-8859-1' standalone='no'?>
<!DOCTYPE interface-description SYSTEM 'file:///usr/pkgsrc/lang/oo2c/work.macaroon/oo2c_32-2.0.11/rsrc/OOC/xml/interface-description.dtd'>
<interface-description name='ADT:Arrays' id=''>
  <import-decl name='Object' id='Object' export='no' module='Object'/>
  <import-decl name='Comparator' id='Comparator' export='no' module='ADT:Comparator'/>
  <procedure name='Sort' id='Sort' export='yes'>
    <oberon-doc>
      <summary>Sort array interval <samp><oberon-param href='#Sort.a'>a</oberon-param>[<oberon-param href='#Sort.pos'>pos</oberon-param>, <oberon-param href='#Sort.endpos'>endpos</oberon-param>[</samp> according to the comparator function <oberon-param href='#Sort.cmp'>cmp</oberon-param>.</summary>
      <p pad-after='yes' no-indent='yes'>Sort array interval <samp><oberon-param href='#Sort.a'>a</oberon-param>[<oberon-param href='#Sort.pos'>pos</oberon-param>, <oberon-param href='#Sort.endpos'>endpos</oberon-param>[</samp> according to the comparator function <oberon-param href='#Sort.cmp'>cmp</oberon-param>.</p>
    </oberon-doc>
    <formal-parameters>
      <parameter-decl name='a' id='Sort.a' export='no' variable-parameter='yes'>
        <type>
          <array>
            <element-type>
              <type-name module='Object' name='Object' href='Object#Object'/>
            </element-type>
          </array>
        </type>
      </parameter-decl>
      <parameter-decl name='pos' id='Sort.pos' export='no' variable-parameter='no'>
        <type>
          <type-name module='#predef' name='LONGINT'/>
        </type>
      </parameter-decl>
      <parameter-decl name='endpos' id='Sort.endpos' export='no' variable-parameter='no'>
        <type>
          <type-name module='#predef' name='LONGINT'/>
        </type>
      </parameter-decl>
      <parameter-decl name='cmp' id='Sort.cmp' export='no' variable-parameter='no'>
        <type>
          <type-name module='Comparator' name='Comparator' href='ADT:Comparator#Comparator'/>
        </type>
      </parameter-decl>
    </formal-parameters>
  </procedure>
  <import-decl name='-RT0' id='-RT0' export='no' module='RT0'/>
  <import-decl name='-Object' id='-Object' export='no' module='Object'/>
  <import-decl name='-Exception' id='-Exception' export='no' module='Exception'/>
  <module-ref name='ADT:Comparator'>
    <ref-target type='html' relative-uri='Comparator.html'/>
  </module-ref>
  <module-ref name='Object'>
    <ref-target type='html' relative-uri='../Object.html'/>
  </module-ref>
</interface-description>
